require 'redis'
require 'sensu-plugin'
require 'mixlib/cli'
require 'metrics-capacitor/config'
require 'metrics-capacitor/model'


module MetricsCapacitor
  module Utils
    class Sensu < Sensu::Plugin::CLI

      def initialize(args=ARGV)
        super()
        self.args = self.parse_options(argv)
        @settings = Utils.settings
        @redis = Redis.new(url: Config.redis[:url])
      end

      def output(args)
        case args
        when Array
        when Hash
        end
      end

    end
  end
end
